#!c:/perl/bin/perl.exe
use warnings;
use strict;
use diagnostics;

my $primer = "CGATTAGGACCGCCNATAGCGATCG";

my @letters = split (//,uc $primer);

my $melt_temp = 0;

foreach my $letter (@letters) {
	if ($letter eq 'G' or $letter eq 'C') {
		$melt_temp += 4;
	}
	elsif ($letter eq 'A' or $letter eq 'T' or $letter eq 'U') {
		$melt_temp += 2;
	}
	else {
		warn "Unexpected letter '$letter' in the primer sequence";
	}
}

print "The melt temperature for '$primer' is $melt_temp";